Browse Source

Write volume API version into clouds.yaml

We're trying to get things to use volume v2 by default. devstack already
deploys a v2 endpoint. Tell clouds.yaml that this devstack cloud is a v2
enabled cloud.

Change-Id: I6f792ce65153389aa1ee133e9bd363c394b28534
Closes-Bug: 1467589
tags/mitaka-eol
Monty Taylor 3 years ago
parent
commit
5bf6a9489c
1 changed files with 2 additions and 0 deletions
  1. 2
    0
      tools/update_clouds_yaml.py

+ 2
- 0
tools/update_clouds_yaml.py View File

@@ -36,6 +36,7 @@ class UpdateCloudsYaml(object):
36 36
         self._cloud_data = {
37 37
             'region_name': args.os_region_name,
38 38
             'identity_api_version': args.os_identity_api_version,
39
+            'volume_api_version': args.os_volume_api_version,
39 40
             'auth': {
40 41
                 'auth_url': args.os_auth_url,
41 42
                 'username': args.os_username,
@@ -82,6 +83,7 @@ def main():
82 83
     parser.add_argument('--os-cloud', required=True)
83 84
     parser.add_argument('--os-region-name', default='RegionOne')
84 85
     parser.add_argument('--os-identity-api-version', default='3')
86
+    parser.add_argument('--os-volume-api-version', default='2')
85 87
     parser.add_argument('--os-cacert')
86 88
     parser.add_argument('--os-auth-url', required=True)
87 89
     parser.add_argument('--os-username', required=True)

Loading…
Cancel
Save